#!/bin/bash

plugin='modSecurity-control'
cpinstPath='/opt/cpinst/cpinst/plugins/'
pluginPath='/usr/local/cpanel/base/frontend/'
themeA='paper_lantern'
themeB='jupiter'

if [ -d "$pluginPath""$themeA"/"$plugin" ]; then
    token=$(<"$pluginPath""$themeA"/"$plugin"/token.conf)
    rm -rf "$pluginPath""$themeA"/"$plugin"
    cp -rf "$cpinstPath""$plugin" "$pluginPath""$themeA"
    echo "$token" > "$pluginPath""$themeA"/"$plugin"/token.conf
fi

if [ -d "$pluginPath""$themeB"/"$plugin" ]; then
    token=$(<"$pluginPath""$themeB"/"$plugin"/token.conf)
    rm -rf "$pluginPath""$themeB"/"$plugin"
    cp -rf "$cpinstPath""$plugin" "$pluginPath""$themeB"
    echo "$token" > "$pluginPath""$themeB"/"$plugin"/token.conf
fi

# Overwrite/Add the cron job
cp -f "$pluginPath""$themeB"/"$plugin"/cronJobs/createModSecConf.cron /etc/cron.d/
cp -f "$pluginPath""$themeB"/"$plugin"/cronJobs/rebuildModSecConf.cron /etc/cron.d/
